%Scr10_3
dt=0.001;
t=0:dt:0.1;
fo=40; % frequency [kHz]
y=sin(2*pi*fo*t);

fs1=100; dt1=dt*10;
fs2=50; dt2=dt*20;

t1=0:dt1:t(end);
t2=0:dt2:t(end);
y1=interp1(t,y,t1);
y2=interp1(t,y,t2);

figure(1)
hp=plot(t,y,'k',t1,y1,'ko-',t2,y2,'k*--','linewidth',2);
set(hp(1),'color',0.4*[1 1 1],'linewidth',2)
xlabel('Time [ms]')
ylabel('Amplitude')
