%Scr2_1
[xx,fs] = wavread('../Pam_book_data/zifioSelectScan.wav');
%
% construct time vector
tt = (1:length(xx))/fs;
 
figure(1)
clf,
plot(tt,xx,'k'); 
set(gca,'fontsize',12)
xlabel('Time [s]')
xlim(tt([1 end]))
title('Raw Time series')
 
% zoom into data
tsel=tt>1.9415 & tt<1.9430;
tt1=tt(tsel);
xx1=xx(tsel);
% remove bias (offset)
bias=mean(xx1);
xx1=xx1-bias;
 
figure(2)
clf
plot(tt1,xx1,'k')
set(gca,'fontsize',12)
xlabel('Time [s]')
xlim(tt1([1 end]))
title('Single click of Cuvier''s beaked whale')

