%Scr2_12
root='../pam_book_data/';

fname='T_t_short'; tname='T_truncatus'; xl=[0 4];

xx=[];
[xx,fs]=wavread([root fname]);
xx=xx(:,1);
tt=(0:length(xx)-1)/fs;

[B,F,T]=specgram(xx-mean(xx),1024,fs,hann(256),192);


P=abs(B);
isel=find(T>0.5 & T<1.0);
if1=F<12000;
if2=F>12000;
i1=0*isel;
i2=0*isel;
for ii=1:length(isel)
    [d,i1(ii)]=max(P(if1,isel(ii)));
    [d,i2(ii)]=max(P(if2,isel(ii)));
end

fr1=F(i1)/1000;
fr2=12+F(i2)/1000;

figure(1)
hold off
imagesc(T,F/1000,20*log10(abs(B))), axis xy
xlim([0.5 1.0])
colormap(1-gray)
cl=caxis;
caxis(max(cl)+[-60 0])
xlabel('Time [s]')
ylabel('Frequency [kHz]')

hold on
plot(T(isel), fr1,'w-',T(isel), 2*fr1,'k-', T(isel),fr2,'w--','linewidth',2)
hold off

return

