%Scr2_16
root='../pam_book_data/';
fname='good_examples_minke_0001_amplified.wav';
tname='B_acutorostrata';

[xx,fs]=wavread([root fname]);
xx=xx(:,1);
tt=(0:length(xx)-1)'/fs;

[B,F,T]=specgram(xx-mean(xx),1024,fs,hann(256),192);

figure(1)
subplot(211)
imagesc(T,F,20*log10(abs(B))), axis xy
ylabel('Frequency [Hz]')
xlabel('Time [s]')
ca=caxis;
colormap(1-gray)
caxis(max(ca)+[-60 0])
xlim(T([1 end]))
set(gca,'tickdir','out')
title(tname,'interpreter','none')

subplot(212)
plot(tt,xx,'k'), xlim(30+[0 5])
ylabel('Amplitude')
xlabel('Time [s]')
