%Scr2_18
root='../pam_book_data/';
fname='atlanticblue_feb99_disk3_248_15nov99_0429.wav';
tname='B_musculus';

[xx,fs]=wavread([root fname]);
xx=xx(:,1);
tt=(0:length(xx)-1)'/fs;

[B,F,T]=specgram(xx-mean(xx),1024,fs,hann(256),192);

cl=[-60 0];
figure(1)
clf
imagesc(T/60,F,20*log10(abs(B))), axis xy
ylabel('Frequency [Hz]')
xlabel('Time [min]')
ca=caxis;
colormap(1-gray)
caxis(max(ca)+cl)
xlim([0 20])
set(gca,'tickdir','out')
title(tname,'interpreter','none')
rectangle('position',[9.6 25.5 10 28],'facecolor',[1 1 1])
%
axes('position',[0.55 0.55 0.3 0.3]);
imagesc(T/60,F,20*log10(abs(B)))
axis xy
ca=caxis;
caxis(max(ca)+cl)
xlim([0.2 1])
ylim([14.5 20])
