%Scr2_19
root='../pam_book_data/';
fname='atlfin_MAR-marche05-06_439_22feb06_0125.wav'; %pamguard examples
tname='B_physalus';

[xx,fs]=wavread([root fname]);
xx=xx(:,1);
tt=(0:length(xx)-1)'/fs;
tsel=tt>33*60 & tt<39*60;
xx=xx(tsel);
tt=tt(tsel);

[B,F,T]=specgram(xx-mean(xx),1024,fs,hann(256),192);

cl=[-60 0];

figure(1)
clf
imagesc(T/60,F,20*log10(abs(B))), axis xy
ylabel('Frequency [Hz]')
xlabel('Time [min]')
colormap(1-gray)
ca=caxis;
caxis(max(ca)+cl)

set(gca,'tickdir','out')
title(tname,'interpreter','none')

rectangle('position',[2.8 58.6 3 60],'facecolor',[1 1 1])
%
axes('position',[0.55 0.55 0.3 0.3]);
imagesc(T/60,F,20*log10(abs(B)))
axis xy
ca=caxis;
caxis(max(ca)+cl)
xlim([2.55 2.62])
ylim([15 35])
%set(gca,'xcolor',[1 1 1],'ycolor',[1 1 1])
