%Scr3_5
f=[3 15 40];

nu=(0:0.1:20)';
NL=44+23*log10(nu+1)*ones(size(f))-17*ones(size(nu))*log10(max(0.1,f));

figure(1)
hp=plot(nu,NL,'k','linewidth',2);
set(hp(1),'linestyle',':')
set(hp(2),'linestyle','--')
grid on
xlabel('Windspeed [m/s]')
ylabel('Spectral noise level [dB // 1 \muPa^2/Hz]')
legend('3 kHz', '15 kHz', '40 kHz',0)