%Scr4_2
%if required uncomment next line
Scr4_1
%
%noise estimate over complete time series
nn=sqrt(mean(ss.^2));
%
% estimate signal-to-noise ratio
snr = abs(ss)/nn;
%
% determine threshold
th=4.5;
% detection pruning window
dt_max=2/1000; %2 ms
%
% simple click detector
jth=do_SimpleDetection0(snr,tt,th,dt_max);
 
% plot all
figure(1)
plot(tt,snr,'k', tt(jth),snr(jth),'ko', ...
     tt([1 end]),th*[1 1],'k--')
xlim(tt([1 end]))
set(gca,'fontsize',12)
xlabel('Time [s]')
ylabel('Signal-to-noise ratio')
