%Scr4_3
% load data
[xx,fs] = wavread('../Pam_book_data/zifioSelectScan.wav');
%
% construct time vector
tt = (1:length(xx))'/fs;
%
% subtruct mean to remove constant offset
ss = xx - mean(xx);
%
%calibrate time series
cal=10^(27/20); %unit is equiv 147 dB re 1 uPa
ss=cal*ss;
%
% envelope
yy_a=doAnalytic(ss,512);
%
xl=1.9421+[-2 5]*1e-4;
%
figure(1)
clf
hp=plot(tt,ss,'k',tt,abs(yy_a),'k');
set(hp(2),'linewidth',2)
set(gca,'fontsize',12)
xlabel('Time [s]')
ylabel('Pressure [Pa]')
xlim(xl)
