%Scr7_1
%plot moving whale
r=0.9;
phi=30;
arg=phi*pi/180;
x=-r*cos(arg);
y=r*sin(arg);

figure(1)
plot(0,0,'ko',x,y,'k*',0,y,'k.')
line([-x,x],[y y],'color','k')
line([-x-0.05, -x,-x-0.05],[y+0.05,y,y-0.05],'color','k')
line([-1 1],[0 0],'color','k','linestyle','--')
line([0 0],[0 1],'color','k','linestyle','--')
line([0 x],[0,y],'color','k','linewidth',2)
text(0,-0.05,'O','horizontalalignment','center','verticalalignment','top',...
    'fontsize',12,'fontweight','bold');
text(x-0.05,y,'W','horizontalalignment','right','verticalalignment','middle',...
    'fontsize',12,'fontweight','bold');
text(0,y+0.05,'CPA','horizontalalignment','center','verticalalignment','bottom',...
    'fontsize',12,'fontweight','bold','backgroundcolor','w');
text(x/2,y+0.05,'x = r*cos(\phi)','horizontalalignment','center','verticalalignment',...
    'bottom','fontsize',12);
text(0.05,y/2,'y = r*sin(\phi)','horizontalalignment','left','verticalalignment','middle',...
    'fontsize',12);
text(-x,y+0.05,'Whale motion','horizontalalignment','right','verticalalignment','bottom',...
    'fontsize',12);
%text(-0.3,0.05,'\phi','horizontalalignment','right','verticalalignment','bottom',...
%    'fontsize',12);
%line(-0.5*cos((0:30)*pi/180),0.5*sin((0:30)*pi/180),'color','k')
xlim([-1 1])
axis equal
xlabel( 'X','fontweight','bold')
ylabel( 'Y','fontweight','bold')
