%Scr7_2
M=0:20;
po=0.3;
pf=0.1;

PA=0.2;

Pdet=1-(1-po).^M;
Pfa=1-(1-pf).^M;
PFcCo=(1-Pdet)*PA./(1-Pdet*PA-Pfa*(1-PA));
%
figure(1)
plot(M,Pdet,'ko-',M,Pfa,'ks-',M,PFcCo,'k*-')
ylim([0 1])
ylabel('Probability')
xlabel('Number of observations')
legend('P_{det}','P_{FA}','P(F|C_0)',0)
txtfmt='P(F) = %.1f,   P_{det} = 1-(1-%.1f)^M,   P_{FA} = 1-(1-%.1f)^M;   M=0:20';
title(sprintf(txtfmt,PA,po,pf))
