%Scr9_1
NA=100;
dr=1;
r=0:dr:7000;
wri=r; wri=wri/(sum(wri)*dr);
%
r0=4000; cv=0.2; sig=cv*r0;
wr0=1/(sqrt(2*pi)*sig)*exp(-0.5*((r-r0)/sig).^2);
% 
gr=1-cumsum(wr0)*dr;
P_n=cumsum(wri.*gr)*dr;
%
figure(1)
plot(r,gr,'k'),ylim([0 1.1])
grid on
xlabel('Distance [m]')
ylabel('g(r)')
% 
dx=500; %range interval
idx=dx/dr;
ihx=1:idx:7000;
hx=diff(P_n(ihx));
rx=r(ihx)-dx/2;
%
figure(2)
plot(rx(2:end),NA*hx,'ko-')
grid on
xlabel('Distance [m]')
ylabel('n(r)')
