%ScrF10_2
addpath('electronic')
figure(1)
clf
%test=true;
test=false;
if test
    grid on
else
    set(gca,'visible','off')
end
axis equal
%
resistor('position',[1 2])
text('String','Z_x',...
   'Position',[1.5 2.3],...
   'FontSize',12,...
   'FontWeight','bold',...
   'HorizontalAlignment','center',...
   'VerticalAlignment','middle');

AC_Source('Position',[1 1.5],'String','v_{hyd}')

resistor('position',[2 2],'angle',-90)
text('String','Z_0',...
   'Position',[2.25 1.5],...
   'FontSize',12,...
   'FontWeight','bold',...
   'HorizontalAlignment','left',...
   'VerticalAlignment','middle');

Current_Source('Position',[3 1.5],'Angle',0,'String','i_n','Size',1.5)
DC_Source('Position',[3.5 2.0],'Angle',-90,'String','v_n','Size',1.5)

dr=0.15*1.5;
wire('xdata',[1 1],'ydata',[1 1.5-0.15])
wire('xdata',[1 4],'ydata',[1 1])
wire('xdata',[1 1],'ydata',[1.5+0.15 2])
wire('xdata',[3 3],'ydata',[1 1.5-dr])
wire('xdata',[3 3],'ydata',[1.5+dr 2])
wire('xdata',[2 3.5-dr],'ydata',[2 2])
wire('xdata',[3.5+dr 4],'ydata',[2 2])

port('xdata',4,'ydata',1,'name','')
port('xdata',4,'ydata',2,'name','V_G')

line('XData',[2 2 3 3],'YData',[1 2 1 2],'Color','k',...
    'Marker','o','MarkerSize',6,'MarkerFaceColor','k',...
    'LineStyle','none')

line('XData',[2.6 4.2 4.2 2.6 2.6],'YData',[0.7 0.7 2.7 2.7 0.7],'Color','k',...
    'Linestyle','--','LineWidth',1)

text('String','FET Input',...
   'Position',[3.5 2.8],...
   'FontSize',12,...
   'FontWeight','bold',...
   'HorizontalAlignment','center',...
   'VerticalAlignment','bottom');

set(gcf,'position',[30   511  640   420])
set(gca,'position',[0 0 1 1])
axis([0.75 4.5 0.5 3])
