function inp=doAllocTrain1(tcl,pcl,icm,ac,dt2)

inp=zeros(length(tcl),3);
%
xdx_min=1; %threhold around icm
pcm=0*icm;
for ii=1:length(tcl)-1
    %
    xdx=inf-0*icm;
    ij=0*icm;
    for jj=ii+1:length(tcl)
        if inp(ii,1)>0, continue,end
        tclij=(tcl(jj)-tcl(ii));
        if tclij>dt2, break,end
        % do we fit to an icm on an ici basis?
        dd=abs(ac*tclij-icm);
        [dx,kx]=min(dd);
        %
        %keep only the one with the shortest distance
        if dx<xdx(kx)
            xdx(kx)=dx;
            ij(kx)=jj;
        end
    end
    %if best solution is within a predefined limit 
    kk=find(xdx<xdx_min)
    if length(kk)==0
        continue
    elseif length(kk)==1
        kx=kk;
    else
        [dx,kx]=min(abs(pcl(ii)-pcm));
    end
    if ij(kx)>0
        inp(ii,:)=[1+2*(kx-1),ii,ij(kx)];
        inp(ij(kx),:)=[2*kx,ii,ij(kx)];
        pcm(kx)=pcl(ii);
    else
        inp(ii,:)=[1+2*(kx-1),ii,ii];
        inp(ii,:)=[2*kx,ii,ii];
        pcm(kx)=pcl(ii);
    end
end
