function [cm,cv,kct]=doCentroids(xx,np)
[N,M]=size(xx);
K=max(np);

cm=zeros(M,K);
cv=zeros(1,K);
kct=zeros(1,K);
for kk=1:K
    nn=(np==kk);
    cm(:,kk)=mean(xx(nn,:))';
    cv(kk)=sum(var(xx(nn,:)));
    kct(kk)=sum(nn);
end

