function [F, FW,FB]=doFcrit(X,np,cm,kct)
[N,M]=size(X);
K=max(np);

    W=zeros(M);
    B=zeros(M);
    mcm=mean(cm,2);
    vcm=cm-repmat(mcm,1,K);
    for kk=1:K
        nn=(np==kk);
        vx=X(nn,:)-repmat(cm(:,kk)',kct(kk),1);
        W=W+vx'*vx;
        B=B+kct(kk)*vcm(:,kk)*vcm(:,kk)'; 
    end
    FB=sum(diag(B));
    FW=sum(diag(W));
    F=FB/FW*(N-K)/(K-1);
