function [jth,ith]=do_SimpleDetection0(snr,tt,th,dt_max)

% function [jth,ith]=do_SimpleDetection0(snr,th,dt_max)
% simple click detector
%
% thresholding
ith=find(snr>th);
%
% detection pruning
jth=ith;
jj=1;
for ii=2:length(ith)
    ki=ith(ii);
    kj=ith(jj);
    if tt(ki)-tt(kj)>dt_max
        jj=ii;
        continue
    else
        if snr(ki)>snr(kj) % actual snr value is larger 
                           % than old one
            jth(jj)=0;     % remove old one 
            jj=ii;         % take the actual as old
        else
            jth(ii)=0;     % remove actual one
        end
    end
end
%
%reduce detection vector
jth(jth==0)=[];  
