function [jth,i1,i2]=do_SimpleDetection1(snr,tt,th,dt_max)

% function [jth,i1,i2]=do_SimpleDetection(snr,th,dt_max)
% simple click detector
%
[jth,ith]=do_SimpleDetection0(snr,tt,th,dt_max);

% estimate signal length
j1=0*jth;
j2=0*jth;
for ii=1:length(jth)
    %find all threshold crossings around detection
    thc=find(abs(tt(jth(ii))-tt(ith))<=dt_max);
    % store first and last threshold crossing
    j1(ii)=min(thc);
    j2(ii)=max(thc);
end
i1=ith(j1);
i2=ith(j2);

%eliminate overlapping detections
iov=find(i1(2:end)-i2(1:end-1)<0);
imx=snr(jth(iov))>snr(jth(iov+1));
iov(imx)=iov(imx)+1;
jth(iov)=[];
i1(iov)=[];
i2(iov)=[];
