function [S,fc,x,fs]=getSpectrum(fname,nfft,xl)
%obtain sampling frequency
[x,fs]=wavread(fname,1);
kfs=fs/1000;
[x,fs]=wavread(fname,round(xl*kfs));
%
% call of FFT 
Fc=fft(x,nfft)/fs*2;
S=10*log10(Fc.*conj(Fc));
% frequence vector for FFT
fc=(0:nfft-1)/nfft*kfs;
