function plotEMD(ifg,tt,C,N,xl)
% plot IMFs
im=length(find(N>0));
figure(ifg)
for ii=1:im
    subplot(im*100+10+ii)
    plot(tt,C(:,ii),'k'), xlim(xl)
    ylabel(sprintf('C%d',ii))
    if ii<im, set(gca,'xticklabel',[]), end
    if ii==1, title('Signal decomposition'),end
end
xlabel('Time [s]')
