function y=BP_filter(x,df1,df2)
%band-pass Butterworth filter
% df1 id the relative pass band
% df2 is the relative stop band
[n,Wn] = buttord(df1,df2,0.1,60);
[b,a]=butter(n,Wn);
gd=grpdelay(b,a);
nk=round(max(gd)/2);
u=filter(b,a,[x; zeros(nk,size(x,2))]); u(1:nk,:)=[];
y=doAnalytic(u,512);
