%Scr2_11
isel=1;

root='../pam_book_data/';

f=[];
ii=1; f(ii).name='T_t_short'; f(ii).title='T_truncatus'; f(ii).xl=[0 4];
ii=2; f(ii).name='S_coe_short'; f(ii).title='S_coeruleoalba'; f(2).xl=[0 1.5];

fname=f(isel).name;
tname=f(isel).title;
xl=f(isel).xl;

xx=[];
[xx,fs]=wavread([root fname]);
xx=xx(:,1);
tt=(0:length(xx)-1)/fs;

[B,F,T]=specgram(xx-mean(xx),1024,fs,hann(256),192);

figure(1)
clf
h1=axes;
ax=get(h1,'position');
line(tt,xx-mean(xx),'parent',h1,'color','k');
h2=axes('parent',gcf,'position',[0.37 ax(2)+0.06 0.5 0.3]);
line(tt,xx,'parent',h2,'color','k'),xlim(0.5+[0 4]/1000)

figure(2)
imagesc(T,F/1000,20*log10(abs(B))), axis xy
colormap(1-gray)

cl=caxis;
caxis(max(cl)+[-60 0])
xlabel('Time [s]')
ylabel('Frequency [kHz]')
title(tname,'interpreter','none')

figure(3)
imagesc(T,F/1000,20*log10(abs(B))), axis xy
xlim([5 6])
colormap(1-gray)
cl=caxis;
caxis(max(cl)+[-60 0])
xlabel('Time [s]')
ylabel('Frequency [kHz]')
title(tname,'interpreter','none')

return
