%Scr2_13
root='../pam_book_data/';

fname='G_melasTag3'; tname='G_melas'; xl=[0 5]; xl1=0.9+[0 0.01];

xx=[];
[xx,fs]=wavread([root fname]);
xx=xx(:,1);
tt=(0:length(xx)-1)/fs;

[B,F,T]=specgram(xx-mean(xx),2048,fs,hann(512),384);

Bcut=B(:,T>xl1(1) & T<xl1(2));
P=mean(Bcut.*conj(Bcut),2);

figure(1)
imagesc(T,F/1000,20*log10(abs(B))), axis xy
xlim(xl)
cl=caxis;
colormap(1-gray)
caxis(max(cl)+[-70 0])
xlabel('Time [s]')
ylabel('Frequency [kHz]')
title(tname,'interpreter','none')

figure(2)
plot(tt,xx-mean(xx),'k'),xlim(xl1)
xlabel('Time [s]')
