%Scr2_15
root='../pam_book_data/';
fname='T_truncatus_buzzes.wav'; tname='T_truncatus';

[xx,fs]=wavread([root fname]);
xx=xx(:,1);
tt=(0:length(xx)-1)'/fs;

[B,F,T]=specgram(xx-mean(xx),1024,fs,hann(256),192);

figure(1)
subplot(211)
imagesc(T,F/1000,20*log10(abs(B))), axis xy
ylabel('Frequency [kHz]')
xlabel('Time [s]')
ca=caxis;
colormap(1-gray)
caxis(max(ca)+[-60 0])
xlim(8.3+[0 0.4])
set(gca,'tickdir','out')
title(tname,'interpreter','none')

subplot(212)
plot(tt,xx,'k'), xlim(8.45+[0 0.05])
ylabel('Amplitude')
xlabel('Time [s]')
