%Scr2_17
root='../pam_book_data/';
fname='right whale example.wav'; xp=[35.5 37]; xlx=[31 35]; %pamguard examples
tname='E_glacialis';

[xx,fs]=wavread([root fname]);
tt=(0:length(xx)-1)'/fs;

[B,F,T]=specgram(xx-mean(xx),1024,fs,hann(512),384);

cl=[-50 0];
figure(1)
clf
imagesc(T,F/1000,20*log10(abs(B))), axis xy
ylabel('Frequency [kHz]')
xlabel('Time [s]')
ca=caxis;
colormap(1-gray)
caxis(max(ca)+cl)

set(gca,'tickdir','out')
title(tname,'interpreter','none')

rectangle('position',[xp(1) 0.46 xp(2) 0.5],'facecolor',[1 1 1])
axes('position',[0.55 0.55 0.3 0.3]);
%
imagesc(T,F/1000,20*log10(abs(B)))
axis xy
ca=caxis;
colormap(1-gray)
caxis(max(ca)+cl)
xlim(xlx)
ylim([0 0.4])
