%Scr2_20
root='../pam_book_data/';
fname='hmpback1.wav'; %http://www.oceanmammalinst.org/songs.html
%
%fname='humpback whale example.wav'; %pamguard examples
fname='mn284b03_Sel422_8kHz.wav'; %HARC tag
tname='M_novaeangliae';

[xx,fs]=wavread([root fname]);
xx=xx(:,1);
tt=(0:length(xx)-1)'/fs;

[B,F,T]=specgram(xx-mean(xx),1024,fs,hann(512),384);

cl=[-70 0];

figure(1)
clf
imagesc(T,F/1000,20*log10(abs(B))), axis xy
ylabel('Frequency [kHz]')
xlabel('Time [s]')
ca=caxis;
colormap(1-gray)
caxis(max(ca)+cl)
%xlim([0 20])
set(gca,'tickdir','out')
title(tname,'interpreter','none')
%rectangle('position',[9.6 25.5 10 28],'facecolor',[1 1 1])
%
return
axes('position',[0.55 0.55 0.3 0.3]);
imagesc(T/60,F,20*log10(abs(B)))
axis xy
ca=caxis;
caxis(max(ca)-10+[-60 0])
xlim([0.2 1])
ylim([14.5 20])
%set(gca,'xcolor',[1 1 1],'ycolor',[1 1 1])