%Scr2_4
nd=round([5 30]*31.250);
fname='../Pam_book_data/forward_click.wav';
[x1,fs]=wavread(fname,nd);
t1=(0:length(x1)-1)/fs*1000;

fname='../Pam_book_data/backward_click.wav';
[x2,fs]=wavread(fname,nd);
t2=(0:length(x2)-1)/fs*1000;

fname='../Pam_book_data/off_axis_click.wav';
[x3,fs]=wavread(fname,nd);
t3=(0:length(x3)-1)/fs*1000;

figure(1)
clf
set(gcf,'position',[100 100 560 680])
subplot(311)
plot(t1,x1,'k'), xlim(t1([1 end]))
ylabel(' Rel. Amplitude')
title('Sperm whale click, in front of animal')
annotation('textarrow',0.3+[0.01 0],0.85+[0.03 0],'String','P_0');
annotation('textarrow',0.46+[0.01 0],0.85+[0.03 0],'String','P_1');
annotation('textarrow',0.62+[0.01 0],0.85+[0.03 0],'String','P_2');
subplot(312)
plot(t3,x3,'k'), xlim(t1([1 end]))
ylabel(' Rel. Amplitude')
title('Sperm whale click, side of animal')
annotation('textarrow',0.3+[0.01 0],0.56+[0.03 0],'String','P_0');
annotation('textarrow',0.40+[0 0.01],0.56+[0.03 0],'String','P_{1/2}');
annotation('textarrow',0.46+[0.01 0],0.56+[0.03 0],'String','P_1');
subplot(313)
plot(t2,x2,'k'), xlim(t1([1 end]))
xlabel('Time [ms]')
ylabel(' Rel. Amplitude')
title('Sperm whale click, behind animal')
annotation('textarrow',0.3+[0.01 0],0.25+[0.03 0],'String','P_0');
annotation('textarrow',0.46+[0.01 0],0.25+[0.03 0],'String','P_1');
annotation('textarrow',0.62+[0.01 0],0.25+[0.03 0],'String','P_2');
