%Scr4_1
% load data
[xx,fs] = wavread('../Pam_book_data/zifioSelectScan.wav');
%
% construct time vector
tt = (1:length(xx))'/fs;
%
% subtruct mean to remove constant offset
ss = xx - mean(xx);
%
%calibrate time series (convert to Pascal)
cal=10^(27/20); %unit is equiv 27 dB re 1 Pa
ss=cal*ss;
%
figure(1)
plot(tt,ss,'k')
set(gca,'fontsize',12)
xlabel('Time [s]')
ylabel('Sound pressure [Pa]')
xlim(tt([1 end]))
