%Scr4_4
%
Scr4_3
%
nn_a=sqrt(mean(abs(yy_a).^2));
snr_a=abs(yy_a)/nn_a;
%
% determine threshold
th=4.5;
% detection pruning window
dt_max=2/1000; %2 ms
%
% simple click detector
%
[jth,i1,i2]=do_SimpleDetection1(snr_a,tt,th,dt_max);
%
%extract signals
di=ceil(fs*1e-4);
Det=[];
for ii=1:length(jth)
    Det(ii).tdet=tt(i1(ii)-di);
    Det(ii).idet=[jth(ii),i1(ii),i2(ii)];
    Det(ii).odet=di;
    Det(ii).ss=ss((i1(ii)-di):(i2(ii)+di));
    Det(ii).nn=nn_a;
end
%
% select single detection
ii=14;
xx1=Det(ii).ss;
tt1=Det(ii).tdet+(0:(length(xx1)-1))'/fs;
%
% construct envelope
yy=doAnalytic(xx1,512);
A=abs(yy);
nn_a=Det(ii).nn;
%
% mark detection
D=0*tt1;
ipk=Det(ii).odet+1+(Det(ii).idet(1)-Det(ii).idet(2));
idt=Det(ii).odet+1+(0:Det(ii).idet(3)-Det(ii).idet(2));
D(idt)=A(ipk)*1.1;
%
% plot selected detection
figure(1)
hp=plot(tt1,xx1,'k',tt1,A,'k',...
      tt1(ipk),A(ipk),'ko',...
      tt1,D,'k:',...
      tt1([1 end]),th*nn_a*[1 1],'k--');
xlim(tt1([1 end]))
%set(hp(1),'color',0.5*[1 1 1])
set(hp(2:4),'linewidth',2)
set(gca,'fontsize',12)
xlabel('Time [s]')
ylabel('Pressure [Pa]')
