%Scr4_5
%
Scr4_4
%
%Energy averaging
yy=ss;
uu=cumsum(yy.^2);

ds=2.5e-5;
iw=2*ceil(fs*ds/2);
zz1=sqrt((uu(1+iw:end)-uu(1:end-iw))/iw);
ttz1=tt(1+iw/2:end-iw/2);

nn_e1=sqrt(mean(abs(zz1).^2));
snr_e1=zz1./nn_e1;
[jth1,i11,i21]=do_SimpleDetection1(snr_e1,ttz1,th,dt_max);

%mark detections
dtt1=0*ttz1;

for ii=1:length(jth1)
    jj=i11(ii):i21(ii);
    dtt1(jj)=8.5;
end

ds=2e-4;
iw=2*ceil(fs*ds/2);
zz2=sqrt((uu(1+iw:end)-uu(1:end-iw))/iw);
ttz2=tt(1+iw/2:end-iw/2);

nn_e2=sqrt(mean(abs(zz2).^2));
snr_e2=zz2./nn_e2;
[jth2,i12,i22]=do_SimpleDetection1(snr_e2,ttz2,th,dt_max);

%mark detections
dtt2=0*ttz2;

for ii=1:length(jth2)
    jj=i12(ii):i22(ii);
    dtt2(jj)=8.5;
end

xl=1.9421+[-2 5]*1e-4;

figure(1)
set(gcf,'position',[100 100 560 600])
subplot(211)
hp=plot(tt,ss,'k',ttz1,zz1,'k-',...
        ttz1(jth1),zz1(jth1),'ko',...
        ttz1,dtt1,'k--',...
        tt1,D,'k:',...
        tt([1 end]),th*nn_e1*[1 1],'k--');
xlim(xl)
%set(hp(1),'color',0.5*[1 1 1])
set(hp(2:5),'linewidth',2)
set(gca,'fontsize',12)
ylabel('Pressure [Pa]')

subplot(212)
hp=plot(tt,ss,'k',ttz2,zz2,'k-',...
        ttz2(jth2),zz2(jth2),'ko',...
        ttz2,dtt2,'k--',...
        tt1,D,'k:',...
        tt([1 end]),th*nn_e2*[1 1],'k--');
xlim(xl)
%set(hp(1),'color',0.5*[1 1 1])
set(hp(2:5),'linewidth',2)
set(gca,'fontsize',12)
xlabel('Time [s]')
ylabel('Pressure [Pa]')
