%Scr6_1
% Geometry
h0=[0,0,0.5]';
h1=[2,0,0.5]';
h2=[0,2,0.5]';
h3=[0,0,-0.5]';
%
% Simulation
% whale position
w=[1,5,1]';
% true acoustic distances
R0=sqrt((w-h0)'*(w-h0));
R1=sqrt((w-h1)'*(w-h1));
R2=sqrt((w-h2)'*(w-h2));
R3=sqrt((w-h3)'*(w-h3));
%
% true acoustic differences
dR1=R1-R0;
dR2=R2-R0;
dR3=R3-R0;
%
Rs=R0; %only to compare the result
%
%Range estimation ----------------------
% 
A=2*[(h1-h0)'
     (h2-h0)'
     (h3-h0)'];
% 
Ainv=inv(A);
b0=[h1'*h1-dR1.^2;
    h2'*h2-dR2.^2;
    h3'*h3-dR3.^2]-h0'*h0;
%
b1=2*[dR1;dR2;dR3];
x0=Ainv*b0;
x1=Ainv*b1;
%
rr1=-(x0-h0)'*x1;
rr2=rr1*rr1+(1-x1'*x1)*(x0-h0)'*(x0-h0);
rr3=(1-x1'*x1);
R0=(rr1+sqrt(rr2))/rr3;
fprintf('%f %f\n',R0,R0-Rs)
