%Scr6_2
p1=sqrt(1-0.5^2);
p2=0.5*tan(30/180*pi);
p3=sqrt(1-0.5^2-0.5^2*tan(30/180*pi)^2);

h0=[0,    0, 0];
h1=[1,    0, 0];
h2=[0.5, p1, 0];
h3=[0.5, p2, p3];
%
xx=[h0(1) h1(1), h2(1), h3(1), h1(1), h0(1), h2(1), h0(1), h3(1)];
yy=[h0(2) h1(2), h2(2), h3(2), h1(2), h0(2), h2(2), h0(2), h3(2)];
zz=[h0(3) h1(3), h2(3), h3(3), h1(3), h0(3), h2(3), h0(3), h3(3)];
%
figure(1)
plot3(xx,yy,zz,'k.-','linewidth',1,'markersize',30'),grid on
%
text(h0(1)-0.03,h0(2)-0.00,h0(3)-0.13,'h_0','fontsize',20,'fontweight','bold')
text(h1(1)-0.03,h1(2)-0.00,h1(3)-0.13,'h_1','fontsize',20,'fontweight','bold')
text(h2(1)-0.03,h2(2)+0.03,h2(3)-0.13,'h_2','fontsize',20,'fontweight','bold')
text(h3(1)-0.03,h3(2)-0.00,h3(3)+0.1,'h_3','fontsize',20,'fontweight','bold')
xlim([0 1])
ylim([0 0.9])
zlim([0 0.85])
