function inp=doAllocTrain(tcl,pcl,icm,ac,dt2,xdx_min)

inp=doAllocDoubleClick(tcl,pcl,icm,ac,dt2,xdx_min);
%
%check multiple surface delays
for ii=1:length(tcl)
    if inp(ii,1)==0, continue, end
    if mod(abs(inp(ii,1))-1,2)==0 %have click
        j1=inp(ii,2);
        j2=inp(ii,3);
        if mod(abs(inp(j2,1))-1,2)==0 
            %have multiple direct
            if pcl(j1)>pcl(j2)
                n1=j2;
            else
                n1=j1;
            end
            inp(n1,:)=[0,0,0]; 
        end
    end
end
%
%clean up interlaced classification
for ii=1:length(tcl)-1
    if inp(ii,1)==0, continue,end
    if mod(abs(inp(ii,1)),2)==0 %have click
        j1=inp(ii,2);
        j2=inp(ii,3);
        for jj=j1+1:j2-1
            if abs(inp(ii,1))==abs(inp(jj,1)) 
                %have interlaced detections
                if pcl(ii)>pcl(jj)
                    n1=jj;
                    n2=inp(jj,2);
                else
                    n1=ii;
                    n2=inp(ii,2);
                end
                inp(n1,:)=[0,0,0]; 
                inp(n2,:)=[0,0,0];                
            end
        end
    end
end
