function z=doAnalytic(x,nfft)
%
% define impulse for Hilbert transform
nk=32;
k=(1:nk)';
h=zeros(2*nk+1,1);
h(nk+1+k)=(2/pi)*(k-2*floor(k/2))./k;
h(nk+1-k)=-h(nk+1+k);
h=h.*hamming(2*nk+1);
%
% use FFT filt to process long data and correct for delay
y=fftfilt(h,[x;zeros(nk,size(x,2))]); y(1:nk,:)=[];
%
% construct complex signal
z=x+i*y;
return
