function class=doClickTrainClass(inp,tcl,K)
idi=[0;diff(tcl)];
%
class=zeros(size(tcl,1),5,K); %cdtcl,np,np0,ici,dici
%
class=xferDesc(inp,class);
[inp,class]=markLargeICI(inp,class,K);
class=localProcess(idi,class,K);
[inp,class]=markLargeICI(inp,class,K);
return
%


function class=xferDesc(inp,class)
% transfer from global to local description
for ii=1:size(class,1)
    aii=abs(inp(ii));
    if aii>0
        kx=1+floor((aii-1)/2);
        class(ii,1,kx)=sign(inp(ii))*(1+mod(aii-1+2*(kx-1),2));
    end
end

function class=localProcess(idi,class,K)
% generate differences based on local description
for ii=2:size(class,1)
    for kk=1:K
        if abs(class(ii-1,1,kk))==1
            class(ii,3,kk)=idi(ii);
            class(ii-1,2,kk)=ii-1;
        else
            class(ii,3,kk)=idi(ii)+class(ii-1,3,kk);
        end
        class(ii,2,kk)=class(ii-1,2,kk);
        %
    end    
    %
end

function [inp,class]=markLargeICI(inp,class,K)
% mark large ICI
for ii=1:size(class,1)
    for kk=1:K
        if abs(class(ii,1,kk))==1 && class(ii,3,kk)>1.5
            inp(ii)=-abs(inp(ii));
            class(ii,1,kk)=-1;
        end
        %
        if sign(class(ii,1,kk))<0
            class(ii,4,kk)=-1;
        elseif abs(class(ii,1,kk))==1
            class(ii,4,kk)=class(ii,3,kk);
        elseif abs(class(ii,1,kk))==2
            class(ii,5,kk)=class(ii,3,kk);
        end
    end
end
