function [icm,Hc]=doDelayHisto(tcl,dt1,dt2,ac,Hcmin)
%
Hc=zeros(ceil(1.1*ac*dt2),1);
for ii=1:length(tcl)-1
    itcl = tcl>tcl(ii)+dt1 & tcl<=tcl(ii)+dt2;
    tclj = tcl(itcl);
    if ~isempty(tclj)
        ind=round(ac*(tclj(:)'-tcl(ii)));
        Hc(ind)= Hc(ind)+1;
    end
end
%
locmax=1+find(Hc(2:end-1)>Hc(1:end-2) & Hc(2:end-1)>Hc(3:end));
icm=locmax(Hc(locmax)>Hcmin)';
