function [DET,ntr]=doTracking(M,iox,th,mx,gain,beta)
DET=[];
ye=[]; dy=[]; yl=[]; yb=[]; 
ntr=0;
%
%localize local maxima
[Mr,Mc]=find(M);
%
for io=iox
    ij=Mc==io;
    ym=Mr(ij);
    %
    [ya ntr]=doAssoc(ye,ym,dy, yl,yb,ntr,th,mx);
    %
    ye=ya(:,1);
    dy=ya(:,3);
    yl=ya(:,4); %track number
    yb=ya(:,5); %idle counter

    % correct actual measurement
    dya=gain*(ya(:,2)-ya(:,1));
    yc=ye+dya;
    %
    % store actual tracked
    DET=[DET;[io+0*yc, yc, yl, yb dy]];
    %
    %predict for next sample
    dy=beta*dy+(1-beta)*dya;
    ye=yc+dy;
end
