function X=doTrans(xx)
[N,M]=size(xx);
% mean data vector
S=mean(xx);
V=var(xx);
Z=(xx-repmat(S,N,1))./repmat(sqrt(V),N,1);
% data cross-correlation matrix
R=Z'*Z/N;
% eigen analysis
[U,E] = eig(R);
% transformation
X=Z*U*pinv(sqrt(E));
%diag(E)'